"""add planescrapper to vlass cubes

Revision ID: 13091b732388
Revises: 0cc194239baf
Create Date: 2022-11-18 09:48:00.987912

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "13091b732388"
down_revision = "0cc194239baf"
branch_labels = None
depends_on = None


old_condor_transfer = """should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/.matplotlib, nraorsync://$(SBIN_PATH)/pycapo, nraorsync://$(SBIN_PATH)/vela, nraorsync://$(SBIN_PATH)/casa_envoy, nraorsync://$(VLASS_DIR)/working, nraorsync://$(VLASS_DIR)/rawdata, nraorsync://$(VLASS_DIR)/products{{#remote}}, nraorsync://$(VLASS_DIR)/{{profile}}.properties{{/remote}}, nraorsync://$(VLASS_DIR)/PPR.xml, nraorsync://$(VLASS_DIR)/metadata.json"""
new_condor_transfer = """VLASS_BIN = /lustre/aoc/cluster/pipeline/vlass_{{vlass_env}}/workspaces/bin
should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/.matplotlib, nraorsync://$(SBIN_PATH)/pycapo, nraorsync://$(SBIN_PATH)/vela, nraorsync://$(SBIN_PATH)/casa_envoy, nraorsync://$(VLASS_BIN)/planescraper, nraorsync://$(VLASS_DIR)/working, nraorsync://$(VLASS_DIR)/rawdata, nraorsync://$(VLASS_DIR)/products{{#remote}}, nraorsync://$(VLASS_DIR)/{{profile}}.properties{{/remote}}, nraorsync://$(VLASS_DIR)/PPR.xml, nraorsync://$(VLASS_DIR)/metadata.json"""

old_condor_transfer_out = """+nrao_output_files = "working products"
"""
new_condor_transfer_out = """+nrao_output_files = "working products planes.json"
"""

old_envoy = """./casa_envoy --vlass-img $1 $2 --parallel $3
"""
new_envoy = """./casa_envoy --vlass-img $1 $2 --parallel $3
./planescraper -p .
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'),E'{old_condor_transfer}', E'{new_condor_transfer}' )::bytea
        WHERE filename = 'vlass_coarse_envoy.condor';
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'),E'{old_condor_transfer_out}', E'{new_condor_transfer_out}' )::bytea
        WHERE filename = 'vlass_coarse_envoy.condor';
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'),E'{old_envoy}', E'{new_envoy}' )::bytea
        WHERE filename = 'vlass_coarse_envoy.sh';
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'),E'{new_condor_transfer}', E'{old_condor_transfer}' )::bytea
        WHERE filename = 'vlass_coarse_envoy.condor';
        """
    )
    op.execute(
        f"""
            UPDATE workflow_templates
            SET content = replace(convert_from(content, 'utf8'),E'{new_condor_transfer_out}', E'{old_condor_transfer_out}' )::bytea
            WHERE filename = 'vlass_coarse_envoy.condor';
            """
    )
    op.execute(
        f"""
            UPDATE workflow_templates
            SET content = replace(convert_from(content, 'utf8'),E'{new_envoy}', E'{old_envoy}' )::bytea
            WHERE filename = 'vlass_coarse_envoy.sh';
            """
    )
